This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 472423 - TB429c5e45 rhnplugin.py:275:_getFile:RepoError
TB429c5e45 rhnplugin.py:275:_getFile:RepoError
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Client Tools (Show other bugs)
RHN Stable
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
us=63484
:
Depends On:
Blocks: 428922
  Show dependency treegraph
 
Reported: 2008-11-20 13:47 EST by choalinc
Modified: 2013-01-10 04:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 18:17:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description choalinc 2008-11-20 13:47:33 EST
Description of problem:


Version-Release number of selected component 5.2

Component: pirut
Summary: TB429c5e45 rhnplugin.py:275:_getFile:RepoError: failed to retrieve repodata/updateinfo.xml.gz from rhel-i386-server-5
error was [Errno -1] Metadata file does not match checksum

Traceback (most recent call last):
  File "/usr/sbin/pup", line 617, in ?
    main()
  File "/usr/sbin/pup", line 613, in main
    pup.run()
  File "/usr/sbin/pup", line 451, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 291, in doRefresh
    self.populateUpdates()
  File "/usr/sbin/pup", line 347, in populateUpdates
    self.updateMetadata.add(repo)
  File "/usr/lib/python2.4/site-packages/yum/update_md.py", line 265, in add
    md = obj.retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 867, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/yum-plugins/rhnplugin.py", line 275, in _getFile
    raise yum.Errors.RepoError, \
RepoError: failed to retrieve repodata/updateinfo.xml.gz from rhel-i386-server-5
error was [Errno -1] Metadata file does not match checksum

Local variables in innermost frame:
e: [Errno -1] Metadata file does not match checksum
url: None
text: None
self: rhel-i386-server-5
cache: False
reget: None
relative: repodata/updateinfo.xml.gz
start: None
checkfunc: (<bound method RhnRepo.checkMD of <rhnplugin.RhnRepo object at 0x87bc30c>>, ('updateinfo',), {})
copy_local: 1
end: None
local: //var/cache/yum/rhel-i386-server-5/updateinfo.xml.gz

Note You need to log in before you can comment on or make changes to this bug.